Subject: [Dime] Clarification on section 2.1.1 SCTP guidelines of RFC 6733

From: "Mahalank, Shashikiran B (Communication & Media Solutions)" <[email-masked]>
Date: Fri, 23 Aug 2013 06:15:44 +0000

Hello,

We have a query on SCTP guidelines for Diameter base protocol specified in section 2.1.1 of RFC 6733 as :

   A Diameter agent SHOULD use dedicated payload protocol identifiers
   (PPIDs) for clear text and encrypted SCTP DATA chunks instead of only
   using the unspecified payload protocol identifier (value 0).  For
   this purpose, two PPID values are allocated: the PPID value 46 is for
   Diameter messages in clear text SCTP DATA chunks, and the PPID value
   47 is for Diameter messages in protected DTLS/SCTP DATA chunks.

RFC doesn't specify the behavior if the connected diameter peer doesn't use PPID as 46/47 for diameter message transport over SCTP or DTLS/SCTP.

What if diameter messages are received with PPID set to value other than 46/47 or default 0 value?  Should the messages be ignored or respond with error diameter message back to peer with same PPID set ?

Please comment on this behavior.

Thanks,
Shashikiran